Overview | Modules | Class Hierarchy | Classes | Members

Public Types | Static Public Member Functions
tlp::TypeInterface< T > Class Template Reference

`#include <PropertyTypes.h>`

Inheritance diagram for tlp::TypeInterface< T >:
[legend]

List of all members.

## Public Types

- typedef T RealType

## Static Public Member Functions

- static RealType undefinedValue ()
- static RealType defaultValue ()
- static void write (std::ostream &, const RealType &)
- static bool read (std::istream &, RealType &)
- static std::string toString (const RealType &)
- static bool fromString (RealType &, const std::string &)

### template<typename T>
class tlp::TypeInterface< T >

## Member Typedef Documentation

template<typename T>

typedef T tlp::TypeInterface< T >::RealType

## Member Function Documentation

template<typename T>

static RealType tlp::TypeInterface< T >::defaultValue | ( |  | ) | `[inline, static]`

Reimplemented in tlp::GraphType, tlp::DoubleType, tlp::FloatType, tlp::IntegerType, tlp::LongType, tlp::UnsignedIntegerType, tlp::BooleanType, tlp::PointType, tlp::SizeType, and tlp::StringType.

template<typename T>

static bool tlp::TypeInterface< T >::fromString | ( | RealType & | ,
|  | const std::string & |
| ) |  | `[inline, static]`

Reimplemented in tlp::PointType, tlp::SizeType, tlp::StringType, and tlp::ColorType.

template<typename T>

static bool tlp::TypeInterface< T >::read | ( | std::istream & | ,
|  | RealType & |
| ) |  | `[inline, static]`

Reimplemented in tlp::GraphType, tlp::EdgeSetType, tlp::BooleanType, tlp::BooleanVectorType, tlp::LineType, tlp::PointType, tlp::SizeType, tlp::StringType, tlp::StringVectorType, and tlp::ColorType.

template<typename T>

static std::string tlp::TypeInterface< T >::toString | ( | const RealType & |  | ) | `[inline, static]`

Reimplemented in tlp::StringType, and tlp::ColorType.

template<typename T>

static RealType tlp::TypeInterface< T >::undefinedValue | ( |  | ) | `[inline, static]`

Reimplemented in tlp::GraphType, tlp::DoubleType, tlp::FloatType, tlp::IntegerType, tlp::LongType, tlp::UnsignedIntegerType, tlp::BooleanType, tlp::PointType, tlp::SizeType, tlp::StringType, and tlp::ColorType.

template<typename T>

static void tlp::TypeInterface< T >::write | ( | std::ostream & | ,
|  | const RealType & |
| ) |  | `[inline, static]`

Reimplemented in tlp::GraphType, tlp::EdgeSetType, tlp::BooleanType, tlp::BooleanVectorType, tlp::StringType, tlp::StringVectorType, and tlp::ColorType.

Tulip Software by LaBRI Visualization Team 2001 - 2012